//****WATERBOX****
//
//underwater skybox

textures/turbodm03/waterbox
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightimage textures/common/white.tga
	q3map_sun 1 1 1 100 -58 58
	q3map_surfacelight 150
	q3map_lightsubdivide 512
	skyparms textures/turbodm03/env/deepsea1 - -
	qer_editorimage textures/turbodm03/env/deepsea1_ft.tga
	qer_nocarve
}

//****FOGS****
//
//underwater dusty fade

textures/turbodm03/dustwater
{
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_globaltexture
        qer_editorimage textures/turbodm03/dustwater.tga
        qer_trans 0.8
	cull none
	{
		map textures/turbodm03/dustwater.tga
		tcMod turb 0 0.02 0.5 0.1
		tcMod scroll .17 .01
		blendfunc blend
	}
}

//underwater dusty light beam

textures/turbodm03/beam_waterlight
{
        qer_editorimage textures/turbodm03/beam_waterlight.tga
	q3map_globaltexture
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
        qer_trans 0.6
	cull none
	{
		map textures/turbodm03/beam_waterlight.tga
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .15 0
		blendFunc add
        }
}

//****LIQUIDS****
//

textures/turbodm03/calmwater
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	q3map_globaltexture
	q3map_surfacelight 60
	q3map_backsplash 0 0
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	{ 
		map textures/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
//	{ 
//		map textures/liquids/pool3d_6.tga
//		blendFunc GL_dst_color GL_one
//		rgbgen identity
//		tcmod scale .5 .5
//		tcmod transform 0 1.5 1 1.5 2 1
//		tcmod scroll .025 -.001
//	}
	{ 
		map textures/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/turbodm03/calmwater_100
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	q3map_globaltexture
	q3map_surfacelight 100
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	{ 
		map textures/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
//	{ 
//		map textures/liquids/pool3d_6.tga
//		blendFunc GL_dst_color GL_one
//		rgbgen identity
//		tcmod scale .5 .5
//		tcmod transform 0 1.5 1 1.5 2 1
//		tcmod scroll .025 -.001
//	}
	{ 
		map textures/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

//****MATERIALS****
//

textures/turbodm03/glass_clean
{
        surfaceparm trans	
	surfaceparm nolightmap
	qer_trans 0.5
	qer_editorimage textures/turbodm03/glass_clean.tga
	{
		map textures/turbodm03/glass_clean.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/turbodm03/wsupprt1_12_600
{
	surfaceparm nomarks
	q3map_surfacelight 600
	qer_editorimage textures/base_light/wsupprt1_12.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/turbodm03/light5_700
{
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 700
	qer_editorimage textures/base_light/light5.tga
	{
		map textures/base_light/light5.tga
		rgbGen identity
	}
}

//****HFX MODED SHADERS****
//**LIGHTS**

textures/turbodm03/bluelight_500
{ 
	surfaceparm nomarks
	q3map_surfacelight 500	 
        q3map_lightimage textures/turbodm03/evil_light/s_bluelight.tga 
	qer_editorimage textures/turbodm03/evil_light/s_bluelight.tga
	{ 
		map $lightmap 
		rgbGen identity 
	}
	{ 
		map textures/turbodm03/evil_light/s_bluelight.tga 
		rgbGen identity 
		blendFunc GL_DST_COLOR GL_ZERO 
	}
	{
		map textures/turbodm03/evil_light/s_bluelight_glow.tga 
		rgbGen wave sin 0.6 1 0 .2  
		blendfunc add 
	} 
}

textures/turbodm03/e6horzlight_800
{
	surfaceparm nomarks
	q3map_surfacelight 800
	qer_editorimage textures/turbodm03/evil_light/e6horzlight.tga
	{
		map textures/turbodm03/evil_light/e6horzlight.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/turbodm03/evil_light/e6horzlight_blend.tga
		rgbgen identity
		blendfunc add
	}
}

textures/turbodm03/e6horzovallight_800
{
	surfaceparm nomarks
	q3map_surfacelight 800
	qer_editorimage textures/turbodm03/evil_light/e6horzovallight_a.tga
	{
		map textures/turbodm03/evil_light/e6horzovallight_a.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
	{
		map textures/turbodm03/evil_light/e6horzovallight_blend.tga
		rgbgen identity
		blendfunc add
	}
}

textures/turbodm03/e6mtltpnl_light
{
	surfaceparm nomarks
	q3map_surfacelight 600
	q3map_lightimage textures/turbodm03/evil_light/e6mtltpnl_light_blend.tga
	qer_editorimage textures/turbodm03/evil_light/e6mtltpnl_light.tga
	{
		map textures/turbodm03/evil_light/e6mtltpnl_light_fx.tga
		rgbgen identity
		tcmod scroll .2 1
	}
	{
		map textures/turbodm03/evil_light/e6mtltpnl_light.tga
		rgbgen identity
		blendfunc blend
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
	{
		map textures/turbodm03/evil_light/e6mtltpnl_light_blend.tga
		rgbgen identity
		blendfunc add
	}
}

textures/turbodm03/e6platelight_400
{
	surfaceparm nomarks
	q3map_surfacelight 600
	q3map_backsplash 20 64
	qer_editorimage textures/turbodm03/evil_light/e6platelight.tga	
	{
		map textures/turbodm03/evil_light/e6platelight.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/turbodm03/evil_light/e6platelight_blend.tga
		rgbgen identity
		blendfunc add
	}
}

textures/turbodm03/e6v_light_300
{
	surfaceparm nomarks
	q3map_lightimage textures/turbodm03/evil_light/e6v_light_blend.tga
	q3map_surfacelight 300
	qer_editorimage textures/turbodm03/evil_light/e6v_light.tga
	{
		map textures/turbodm03/evil_light/e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/turbodm03/evil_light/e6v_light_blend.tga
		rgbgen identity
		blendfunc add
	}
}

textures/turbodm03/e6v_light_500
{
	surfaceparm nomarks
	q3map_lightimage textures/turbodm03/evil_light/e6v_light_blend.tga
	q3map_surfacelight 500
	qer_editorimage textures/turbodm03/evil_light/e6v_light.tga
	{
		map textures/turbodm03/evil_light/e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/turbodm03/evil_light/e6v_light_blend.tga
		rgbgen identity
		blendfunc add
	}
}

textures/turbodm03/e6tinylight_1500
{
	surfaceparm nomarks
	q3map_surfacelight 1500
	qer_editorimage textures/turbodm03/evil_light/e6tinylight.tga
	{
		map textures/turbodm03/evil_light/e6tinylight.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/turbodm03/evil_light/e6tinylight_blend.tga
		rgbgen identity
		blendfunc add
	}
}

textures/turbodm03/e6tinylight_2000
{
	surfaceparm nomarks
	q3map_surfacelight 2000
	qer_editorimage textures/turbodm03/evil_light/e6tinylight.tga
	{
		map textures/turbodm03/evil_light/e6tinylight.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/turbodm03/evil_light/e6tinylight_blend.tga
		rgbgen identity
		blendfunc add
	}
}

textures/turbodm03/e6tinylight_broken
{
	surfaceparm nomarks
	q3map_surfacelight 400
	qer_editorimage textures/turbodm03/evil_light/e6tinylight.tga
	{
		map textures/turbodm03/evil_light/e6tinylight.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/turbodm03/evil_light/e6tinylight_blend.tga
		blendfunc add
		rgbgen wave triangle .1 .4 1 3
	}
	{
		map textures/turbodm03/evil_light/e6tinylight_blend.tga
		blendfunc add
		rgbgen wave inversesawtooth .2 .2 0 5
	}
}

textures/turbodm03/steplight_200
{ 
	surfaceparm nomarks 
	q3map_surfacelight 200
	qer_editorimage textures/turbodm03/evil_light/steplight.tga
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/turbodm03/evil_light/steplight.tga  
		blendFunc GL_DST_COLOR GL_ZERO  
		rgbGen identity  
	}  
	{ 
		map textures/turbodm03/evil_light/steplight_glow.tga  
		rgbgen identity
		blendfunc GL_ONE GL_ONE  
	} 
}

textures/turbodm03/trimtl_grlbtm_light_1200
{ 
	q3map_surfacelight 1200
        q3map_lightimage textures/turbodm03/evil_light/trimtl_grlbtm_light_blnd.tga 
        qer_editorimage textures/turbodm03/evil_light/trimtl_grlbtm_light.tga  
	{ 
		map textures/turbodm03/evil_light/trimtl_grlbtm_light.tga 
		rgbGen identity 
	} 
	 
	{ 
		map $lightmap 
		rgbGen identity 
		blendfunc gl_dst_color gl_zero 
	}   
	{ 
		map textures/turbodm03/evil_light/trimtl_grlbtm_light_blnd.tga 
		blendfunc gl_one gl_one 
		rgbgen wave sin 1 .1 0 1 
	}       
}

textures/turbodm03/trimtl_grlbtm_light_200
{ 
	q3map_surfacelight 200
        q3map_lightimage textures/turbodm03/evil_light/trimtl_grlbtm_light_blnd.tga 
        qer_editorimage textures/turbodm03/evil_light/trimtl_grlbtm_light.tga  
	{ 
		map textures/turbodm03/evil_light/trimtl_grlbtm_light.tga 
		rgbGen identity 
	} 
	 
	{ 
		map $lightmap 
		rgbGen identity 
		blendfunc gl_dst_color gl_zero 
	}   
	{ 
		map textures/turbodm03/evil_light/trimtl_grlbtm_light_blnd.tga 
		blendfunc gl_one gl_one 
		rgbgen wave sin 1 .1 0 1 
	}       
}

//**TRIMS**

textures/turbodm03/e6strimlight_250
{
	surfaceparm nomarks
	q3map_surfacelight 250
	qer_editorimage textures/turbodm03/evil_trim/e6strimlight.tga
	{
		map textures/turbodm03/evil_trim/e6strimlight.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/turbodm03/evil_trim/e6strimlight_blend.tga
		rgbgen wave sawtooth .5 .2 1 5
		blendfunc add
	}
}

textures/turbodm03/e6trim_light_150
{
	surfaceparm nomarks
	q3map_surfacelight 150
	q3map_lightimage textures/turbodm03/evil_trim/e6trim_light_blend.tga
	qer_editorimage textures/turbodm03/evil_trim/e6trim_light.tga
	{
		map textures/turbodm03/evil_trim/e6trim_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/turbodm03/evil_trim/e6trim_light_blend.tga
		rgbgen identity
		blendfunc add
	}
}

textures/turbodm03/e6trim_bsrlight_200
{
	surfaceparm nomarks
	q3map_surfacelight 200
	q3map_lightimage textures/turbodm03/evil_trim/e6trim_bsrlight_blend.tga
	qer_editorimage textures/turbodm03/evil_trim/e6trim_bsrlight.tga
	{
		map textures/turbodm03/evil_trim/e6trim_bsrlight.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/turbodm03/evil_trim/e6trim_bsrlight_blend.tga
		rgbgen wave sawtooth .5 .2 1 5
		blendfunc add
	}
}

//**METALS**

textures/turbodm03/dkmtl_shiny
{
	qer_editorimage textures/turbodm03/evil_metal/dkmtl.tga
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/turbodm03/evil_metal/dkmtl.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
      
}

textures/turbodm03/drkmtl_grlpltmech 
{
	q3map_surfacelight 200
	q3map_lightimage textures/turbodm03/evil_metal/drkmtl_grlpltmech_fx.tga
	qer_editorimage textures/turbodm03/evil_metal/drkmtl_grlpltmech.tga
	{
		map textures/turbodm03/evil_metal/drkmtl_grlpltmech.tga 
		rgbGen identity 
	}
	{
		map textures/turbodm03/evil_metal/drkmtl_grlpltmech_fx2.tga 
		rgbgen identity
		blendfunc add
		tcmod scroll 0 -16
 
	}
	{
		map textures/turbodm03/evil_metal/drkmtl_grlpltmech_fx.tga 
		blendfunc add 
		rgbgen wave triangle .8 .3 1 1     
		tcmod scroll 0 15
	}
	{
		map textures/turbodm03/evil_metal/drkmtl_grlpltmech.tga 
		blendfunc blend  
		rgbGen identity 
	}	
	{
		map $lightmap 
		rgbGen identity 
		blendfunc filter 
	}
}

//****HFX ORIGINAL SHADERS****

textures/turbodm03/evil_floor/e6bsegrtflr256_s
{
	qer_editorimage textures/turbodm03/evil_floor/e6bsegrtflr256.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	nomipmaps
	cull none

	{
		map textures/turbodm03/evil_floor/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/turbodm03/evil_floor/e6grate2_flr_b_s
{
	qer_editorimage textures/turbodm03/evil_floor/e6grate2_flr_b.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

	{
		map textures/turbodm03/evil_floor/e6grate2_flr_b.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/turbodm03/evil_floor/e6launchcfloor_s
{
	qer_editorimage textures/turbodm03/evil_floor/e6launchcfloor.tga
	q3map_lightimage textures/turbodm03/evil_floor/e6launchcfloor_glow.tga
	q3map_surfacelight 400
	surfaceparm nomarks

	{
		map textures/turbodm03/evil_floor/e6launchcfloor.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/turbodm03/evil_floor/e6launchcfloor_glow.tga
		blendfunc add
		rgbgen wave sin .5 .8 0 1.5
	}
	{
		clampmap textures/turbodm03/evil_floor/e6launchcfloor_fx.tga
		blendfunc add
		tcMod stretch sin 1.2 .9 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/turbodm03/evil_floor/e6tekmtlrflr_h_small_noisy_fast
{
	qer_editorimage textures/turbodm03/evil_floor/e6tekmtlrflr_h.tga

	{
		map textures/turbodm03/evil_floor/e6tekmtlrflr_h.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/turbodm03/evil_floor/e6tekmtlrflr_h_glow.tga
		rgbgen wave noise .9 .2 0 4
		blendfunc add
	}
}

textures/turbodm03/evil_light/e6walllight_s_nolight
{
	qer_editorimage textures/turbodm03/evil_light/e6walllight.tga
	//q3map_surfacelight ?
	surfaceparm nomarks
	
	{
		map textures/turbodm03/evil_light/e6walllight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/turbodm03/evil_light/e6walllight_blend.tga
		blendfunc add
	}
}

textures/turbodm03/evil_light/s_light
{ 
	qer_editorimage textures/turbodm03/evil_light/s_light.tga 
	surfaceparm nomarks 
	q3map_surfacelight 1500 
	{ 
		map textures/turbodm03/evil_light/s_light.tga 
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{ 
		map textures/turbodm03/evil_light/s_light_blend.tga 
		rgbGen wave sin 0.5 0.5 1 1 
		blendFunc GL_ONE GL_ONE 
	} 
	{ 
		map $lightmap 
		rgbGen identity 
		blendFunc Filter
	} 
} 

textures/turbodm03/evil_metal/mtlflrslots
{        
        cull none
        { 
		map textures/turbodm03/evil_metal/mtlflrslots.tga 
                //blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		//added
                alphafunc GE128
		depthWrite
		//
		rgbGen identity 
	} 
        { 
		map $lightmap
                //blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen identity 
		//added
		blendfunc filter
		depthfunc equal
		//
	} 
}

textures/turbodm03/evil_metal/mtlpanel_wrnstripe_ow2 
{        
	//cull none
	{ 
		map textures/turbodm03/evil_metal/mtlpnl_wrnstrpow2_glow.tga 
		//rgbGen wave sin 0.5 0.5 0 1  
		rgbGen wave sin 0.4 1 0 1
		//blendfunc GL_ONE GL_ONE   
		blendfunc GL_ONE GL_ZERO
	}
        //{ 
	//	map textures/turbodm03/evil_metal/mtlpnl_wrnstrpow2_glow.tga 
       	//	//rgbGen wave sin 0.5 0.5 0 1  
	//	//blendfunc GL_ONE GL_ONE   
	//	blendfunc GL_ONE GL_ZERO
	//}
        { 
		map textures/turbodm03/evil_metal/mtlpanel_wrnstripe_ow2.tga 
		//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		blendfunc blend
		rgbGen identity 
	} 

        { 
		map $lightmap 
       		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen identity 
	} 
}

textures/turbodm03/evil_support/mtlsupport_grt4b
{
	cull none
	surfaceparm metalsteps
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	{
		map textures/turbodm03/evil_support/mtlsupport_grt4b.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/turbodm03/evil_trim/e6metalfan_s
{
	qer_editorimage textures/turbodm03/evil_trim/e6metalfan.tga

	{
		map textures/turbodm03/evil_trim/e6metalfan_blade.tga
		tcmod rotate 5000
	}
	{
		map textures/turbodm03/evil_trim/e6metalfan.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/turbodm03/evil_wall/e6girdergrate_s
{
	qer_editorimage textures/turbodm03/evil_wall/e6girdergrate.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	nomipmaps
	cull none

	{
		map textures/turbodm03/evil_wall/e6girdergrate.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/turbodm03/evil_wall/e6tdoor 
{         
        qer_editorimage textures/turbodm03/evil_wall/e6tdoor.tga 
        
        { 
                map textures/turbodm03/evil_wall/e6tdoor.tga 
        } 
        { 
                map textures/turbodm03/evil_wall/e6tdoor_fx.tga  
                tcmod scroll -1 0  
                blendFunc add 
        } 
        { 
                map textures/turbodm03/evil_wall/e6tdoor.tga 
                blendFunc blend
        } 
        { 
                map $lightmap 
                blendFunc filter
        } 
}